## ros-foxy-rmf-robot-sim-ignition-plugins 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rmf_robot_sim_ignition_plugins)

set (CMAKE_AUTOMOC ON)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()


if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)

find_package(ignition-cmake2 REQUIRED)

ign_find_package(ignition-gazebo5 REQUIRED)
set(IGN_GAZEBO_VER 5)
ign_find_package(ignition-plugin1 REQUIRED COMPONENTS register)
set(IGN_PLUGIN_VER 1)
ign_find_package(ignition-common4 REQUIRED)
set(IGN_COMMON_VER 4)
ign_find_package(ignition-math6 REQUIRED)
set(IGN_MATH_VER 6)
ign_find_package(ignition-gui5 REQUIRED)
set(IGN_GUI_VER 5)
ign_find_package(ignition-msgs7 REQUIRED)
set(IGN_MSGS_VER 7)
ign_find_package(ignition-transport10 REQUIRED)
set(IGN_TRANSPORT_VER 10)
ign_find_package(ignition-rendering5 REQUIRED)
set(IGN_RENDERING_VER 5)
ign_find_package(sdformat11 REQUIRED)

find_package(Eigen3 REQUIRED)
find_package(rmf_fleet_msgs REQUIRED)
find_package(rmf_building_map_msgs REQUIRED)
find_package(rmf_robot_sim_common REQUIRED)
find_package (Qt5
  COMPONENTS
    Core
    Qml
    Quick
  REQUIRED
)

include(GNUInstallDirs)

###############################
# TeleportIngestor Plugin
###############################

add_library(teleport_ingestor SHARED src/TeleportIngestor.cpp)

ament_target_dependencies(teleport_ingestor
    ignition-gazebo${IGN_GAZEBO_VER}
    ignition-plugin${IGN_PLUGIN_VER}
    ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}
    rmf_fleet_msgs
    rclcpp
    rmf_robot_sim_common
    Eigen3
)

target_include_directories(teleport_ingestor
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    ${EIGEN3_INCLUDE_DIRS}
)

###############################
# TeleportDispenser Plugin
###############################

add_library(teleport_dispenser SHARED src/TeleportDispenser.cpp)

ament_target_dependencies(teleport_dispenser
    ignition-gazebo${IGN_GAZEBO_VER}
    ignition-plugin${IGN_PLUGIN_VER}
    ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}
    rmf_fleet_msgs
    rclcpp
    rmf_robot_sim_common
    Eigen3
)

target_include_directories(teleport_dispenser
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    ${EIGEN3_INCLUDE_DIRS}
)

###############################
# Readonly Plugin             #
###############################

add_library(readonly SHARED ${PROJECT_SOURCE_DIR}/src/readonly.cpp)

ament_target_dependencies(readonly
    rmf_fleet_msgs
    rmf_building_map_msgs
    rclcpp
    ignition-gazebo${IGN_GAZEBO_VER}
    ignition-plugin${IGN_PLUGIN_VER}
    rmf_robot_sim_common
    Eigen3
)

target_include_directories(readonly
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    ${EIGEN3_INCLUDE_DIRS}
)

###############################
# Slotcar Plugin              #
###############################

add_library(slotcar SHARED ${PROJECT_SOURCE_DIR}/src/slotcar.cpp)

ament_target_dependencies(slotcar
  PUBLIC
    ignition-gazebo${IGN_GAZEBO_VER}
    ignition-plugin${IGN_PLUGIN_VER}
    rmf_robot_sim_common
    rmf_fleet_msgs
    rclcpp
)

target_include_directories(slotcar
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    ${rmf_robot_sim_common_INCLUDE_DIRS}
    ${rmf_fleet_msgs_INCLUDE_DIRS}
    ${rmf_building_map_msgs_INCLUDE_DIRS}
)

###############################
# LightTuning
###############################

QT5_ADD_RESOURCES(resources_RCC src/LightTuning/LightTuning.qrc)

add_library(LightTuning SHARED ${headers_MOC}
  src/LightTuning/LightTuning.cpp
  ${resources_RCC}
)

ament_target_dependencies(LightTuning
  ignition-gui${IGN_GUI_VER}
  ignition-gazebo${IGN_GAZEBO_VER}
  ignition-msgs${IGN_MSGS_VER}
  ignition-transport${IGN_TRANSPORT_VER}
  ignition-rendering${IGN_RENDERING_VER}
  Qt5Core
  Qt5Qml
  Qt5Quick
  rclcpp
)

target_include_directories(LightTuning
  PUBLIC
  ${Qt5Core_INCLUDE_DIRS}
  ${Qt5Qml_INCLUDE_DIRS}
  ${Qt5Quick_INCLUDE_DIRS}
)

###############################
# Install Targets
###############################

install(
  TARGETS
    teleport_dispenser
    teleport_ingestor
    readonly
    slotcar
    LightTuning
  LIBRARY DESTINATION lib/${PROJECT_NAME}
  ARCHIVE DESTINATION lib/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-foxy-rmf-robot-sim-ignition-plugins (1.3.1-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Luca Della Vedova <luca@openrobotics.org>  Thu, 02 Dec 2021 03:59:01 -0000

ros-foxy-rmf-robot-sim-ignition-plugins (1.3.0-1focal) focal; urgency=high

  * Make Ignition Edifice dependency mandatory to fix binary builds(#45 <https://github.com/open-rmf/rmf_simulation/issues/45>)
  * Change parameter tag from holonomic to steering (#46 <https://github.com/open-rmf/rmf_simulation/issues/46>)
  * Change slotcar control to explicitly open loop (#43 <https://github.com/open-rmf/rmf_simulation/issues/43>)
  * Nonholonomic slotcar turning fixes, add turning multiplier offset parameter, rename compute_ds variables (#41 <https://github.com/open-rmf/rmf_simulation/issues/41>)
  * Support nonholonomic movement for slotcar (#33 <https://github.com/open-rmf/rmf_simulation/issues/33>)
  * Skip updating ignition plugins when simulation is paused (#34 <https://github.com/open-rmf/rmf_simulation/issues/34>)
  * Fix/dependencies (#26 <https://github.com/open-rmf/rmf_simulation/issues/26>)
  * Add quality declaration documents (#1 <https://github.com/open-rmf/rmf_simulation/issues/1>)
  * Add build and style actions (#11 <https://github.com/open-rmf/rmf_simulation/issues/11>)
  * Update to Ignition Edifice (#8 <https://github.com/open-rmf/rmf_simulation/issues/8>)
  * Slotcar plugin package move and utils cleanup (#5 <https://github.com/open-rmf/rmf_simulation/issues/5>)
  * account for renaming from building_map_msgs to rmf_building_map_msgs (#3 <https://github.com/open-rmf/rmf_simulation/issues/3>)
  * Package renames (#2 <https://github.com/open-rmf/rmf_simulation/issues/2>)
  * Contributors: Charayaphan Nakorn Boon Han, Geoffrey Biggs, Luca Della Vedova, Marco A. Gutiérrez, ddengster

 -- Luca Della Vedova <luca@openrobotics.org>  Wed, 01 Sep 2021 00:00:00 -0000

ros-foxy-rmf-robot-sim-ignition-plugins (1.2.0-1focal) focal; urgency=high

  * Provides TeleportDispenserPlugin Ignition plugin that is attached to the TeleportDispenser model in rmf_demo_assets. When loaded into Ignition Gazebo along side a "payload" model, the plugin will teleport the payload onto the nearest robot when it registers a rmf_dispenser_msgs::DispenserRequest message with target_guid matching its model name.
  * Provides TeleportIngestorPlugin Ignition plugin that is attached to the TeleportIngestor model in rmf_demo_assets. When loaded into Ignition Gazebo, the plugin will teleport the payload off the nearest robot and onto its location, when it registers a rmf_ingestor_msgs::IngestorRequest message with target_guid matching its model name.
  * Provides ReadonlyPlugin Readonly plugin that emulates the behavior of a read_only fleet type. When attached to a steerable vehicle that operates on a known traffic graph, the plugin publishes a prediction of the vehicle's intended path to the rmf traffic database via its configured read_only_fleet_adapter. Other fleets operating in the space can plan routes to avoid the path of this vehicle.
  * Contributors: Aaron Chong, Luca Della Vedova, Yadunund, Rushyendra Maganty

 -- Luca Della Vedova <luca@openrobotics.org>  Wed, 06 Jan 2021 00:00:00 -0000

=== debian/control ===
Source: ros-foxy-rmf-robot-sim-ignition-plugins
Section: misc
Priority: optional
Maintainer: Luca Della Vedova <luca@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ignition-edifice, libeigen3-dev, libqt5core5a, libqt5qml5, libqt5quick5, ros-foxy-ament-cmake, ros-foxy-rclcpp, ros-foxy-rmf-building-map-msgs, ros-foxy-rmf-fleet-msgs, ros-foxy-rmf-robot-sim-common, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rmf-robot-sim-ignition-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ignition-edifice, libeigen3-dev, libqt5core5a, libqt5qml5, libqt5quick5, ros-foxy-rclcpp, ros-foxy-rmf-building-map-msgs, ros-foxy-rmf-fleet-msgs, ros-foxy-rmf-robot-sim-common, ros-foxy-ros-workspace
Description: ROS 2 Ignition plugins for TeleportIngestors and TeleportDispensers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rmf-robot-sim-ignition-plugins//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
